/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.chart.ui.swt.composites;

import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;

/**
 * 
 */

public interface ICustomChoice
{

	public void setValue( Object value );

	public Object getValue( );

	public void addListener( int eventType, Listener listener );

	public void notifyListeners( int eventType, Event event );

	public void redraw( );

	public void setEnabled( boolean enabled );

	public boolean isEnabled( );

	public Point getSize( );

	public void setLayoutData( Object layoutData );
}
